Bug 251923 - dns/powerdns-recursor: update to 4.4.2
Summary: dns/powerdns-recursor: update to 4.4.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Juraj Lutter
URL: https://doc.powerdns.com/recursor/cha...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-12-17 19:56 UTC by Ralf van der Enden
Modified: 2020-12-19 15:09 UTC (History)
1 user (show)

See Also:


Attachments
Update PowerDNS Recursor to 4.4.2 (841 bytes, patch)
2020-12-17 19:56 UTC, Ralf van der Enden
tremere: maintainer-approval+
Details | Diff
Update PowerDNS Recursor to 4.4.2 and don't link to libsodium unconditionally (1.01 KB, patch)
2020-12-18 08:01 UTC, Ralf van der Enden
tremere: maintainer-approval+
Details | Diff
Update PowerDNS Recursor to 4.4.2 and don't link to libsodium unconditionally (and change --enable... to --with...) (1.21 KB, patch)
2020-12-18 08:28 UTC, Ralf van der Enden
tremere: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf van der Enden 2020-12-17 19:56:45 UTC
Created attachment 220676 [details]
Update PowerDNS Recursor to 4.4.2

Release notes:
This release fixes a bug where the wrong type could be used while verifying DNSSEC signatures, causing domains to be incorrectly marked as Bogus. Additionally, the recursor no longer resolves unneeded names when chasing CNAME records if QName Minimization is enabled. The recursor now also logs more detailed information if a name is found to be Bogus during DNSSEC validation.

Q&A:
testport: builds OK (amd64; 12.2-RELEASE)
portlint: OK (1 warning about pkg-plist length)
Comment 1 Automation User 2020-12-17 20:17:24 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/231548418
Comment 2 Ralf van der Enden 2020-12-18 08:01:59 UTC
Created attachment 220687 [details]
Update PowerDNS Recursor to 4.4.2 and don't link to libsodium unconditionally


Added the same fix as in dns/powerdns to set --with-libsodium=no on FreeBSD 12.0+
Comment 3 Ralf van der Enden 2020-12-18 08:28:59 UTC
Created attachment 220689 [details]
Update PowerDNS Recursor to 4.4.2 and don't link to libsodium unconditionally (and change --enable... to --with...)


Sorry for missing the change from --enable-xxx to --with-xxx.

It's early and my headache doesn't help.
Comment 4 Juraj Lutter freebsd_committer 2020-12-19 14:25:22 UTC
Differential Revision: https://reviews.freebsd.org/D27679
Comment 5 commit-hook freebsd_committer 2020-12-19 14:59:18 UTC
A commit references this bug:

Author: otis
Date: Sat Dec 19 14:58:28 UTC 2020
New revision: 558454
URL: https://svnweb.freebsd.org/changeset/ports/558454

Log:
  dns/powerdns-recursor: Update to 4.4.2

  - Improvements:
    - Use the non-cryptographic variant of the boost::uuid.
    - Keep a cached, valid entry over a fresher Bogus one.
    - Ensure socket-dir matches runtime directory on old systemd
    - Move to several distinct Bogus states, for easier debugging.
    - Do not chase CNAME during qname minimization step 4.

  - Bug Fixes:
    - Untangle the validation/resolving qnames and qtypes.
    - APL records: fix endianness problem.

  PR:		251923
  Submitted by:	Ralf van der Enden (maintainer)
  Reviewed by:	osa (mentor)
  Approved by:	osa (mentor)
  Differential Revision:	https://reviews.freebsd.org/D27679

Changes:
  head/dns/powerdns-recursor/Makefile
  head/dns/powerdns-recursor/distinfo